<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Класс ReminderDateTable</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Открытые члены</a> &#124;
<a href="#properties">Свойства</a> &#124;
<a href="classReminderDateTable-members.html">Полный список членов класса</a>  </div>
  <div class="headertitle">
<div class="title">Класс ReminderDateTable</div>  </div>
</div><!--header-->
<div class="contents">

<p>Грид с отображения возможных дат напоминаний  
 <a href="classReminderDateTable.html#details">Подробнее...</a></p>
<div class="dynheader">
Граф наследования:ReminderDateTable:</div>
<div class="dyncontent">
<div class="center"><img src="classReminderDateTable__inherit__graph.png" border="0" usemap="#ReminderDateTable_inherit__map" alt="Inheritance graph"/></div>
<map name="ReminderDateTable_inherit__map" id="ReminderDateTable_inherit__map">
<area shape="rect" title="Грид с отображения возможных дат напоминаний" alt="" coords="5,80,156,107"/>
<area shape="rect" title=" " alt="" coords="42,5,119,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<div class="dynheader">
Граф связей класса ReminderDateTable:</div>
<div class="dyncontent">
<div class="center"><img src="classReminderDateTable__coll__graph.png" border="0" usemap="#ReminderDateTable_coll__map" alt="Collaboration graph"/></div>
<map name="ReminderDateTable_coll__map" id="ReminderDateTable_coll__map">
<area shape="rect" title="Грид с отображения возможных дат напоминаний" alt="" coords="5,80,156,107"/>
<area shape="rect" title=" " alt="" coords="42,5,119,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">см. легенду</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Открытые члены</h2></td></tr>
<tr class="memitem:a7e5a094e76dfbe392d4ec1a8aeacdd83"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderDateTable.html#a7e5a094e76dfbe392d4ec1a8aeacdd83">get_reminder_date</a> ()</td></tr>
<tr class="memdesc:a7e5a094e76dfbe392d4ec1a8aeacdd83"><td class="mdescLeft">&#160;</td><td class="mdescRight">Получение выбранной даты  <a href="classReminderDateTable.html#a7e5a094e76dfbe392d4ec1a8aeacdd83">Подробнее...</a><br /></td></tr>
<tr class="separator:a7e5a094e76dfbe392d4ec1a8aeacdd83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45e9d76645e790bafdf25806c81b1c25"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderDateTable.html#a45e9d76645e790bafdf25806c81b1c25">addingReminder</a> ()</td></tr>
<tr class="memdesc:a45e9d76645e790bafdf25806c81b1c25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Добавление даты  <a href="classReminderDateTable.html#a45e9d76645e790bafdf25806c81b1c25">Подробнее...</a><br /></td></tr>
<tr class="separator:a45e9d76645e790bafdf25806c81b1c25"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
Свойства</h2></td></tr>
<tr class="memitem:ad810452e77a4496dce1992c7a4e37c29"><td class="memItemLeft" align="right" valign="top">var&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classReminderDateTable.html#ad810452e77a4496dce1992c7a4e37c29">dateArray</a></td></tr>
<tr class="memdesc:ad810452e77a4496dce1992c7a4e37c29"><td class="mdescLeft">&#160;</td><td class="mdescRight">массив дат  <a href="classReminderDateTable.html#ad810452e77a4496dce1992c7a4e37c29">Подробнее...</a><br /></td></tr>
<tr class="separator:ad810452e77a4496dce1992c7a4e37c29"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Подробное описание</h2>
<div class="textblock"><p>Грид с отображения возможных дат напоминаний </p>

<p class="definition">См. определение в файле <a class="el" href="ReminderDateTable_8qml_source.html">ReminderDateTable.qml</a> строка <a class="el" href="ReminderDateTable_8qml_source.html#l00013">13</a></p>
</div><h2 class="groupheader">Методы</h2>
<a id="a45e9d76645e790bafdf25806c81b1c25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45e9d76645e790bafdf25806c81b1c25">&#9670;&nbsp;</a></span>addingReminder()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderDateTable::addingReminder </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Добавление даты </p>

</div>
</div>
<a id="a7e5a094e76dfbe392d4ec1a8aeacdd83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e5a094e76dfbe392d4ec1a8aeacdd83">&#9670;&nbsp;</a></span>get_reminder_date()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ReminderDateTable::get_reminder_date </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Получение выбранной даты </p>

</div>
</div>
<h2 class="groupheader">Полный список свойств</h2>
<a id="ad810452e77a4496dce1992c7a4e37c29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad810452e77a4496dce1992c7a4e37c29">&#9670;&nbsp;</a></span>dateArray</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">var ReminderDateTable::dateArray</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>массив дат </p>

<p class="definition">См. определение в файле <a class="el" href="ReminderDateTable_8qml_source.html">ReminderDateTable.qml</a> строка <a class="el" href="ReminderDateTable_8qml_source.html#l00018">18</a></p>

</div>
</div>
<hr/>Объявления и описания членов класса находятся в файле:<ul>
<li>/home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/src/<a class="el" href="ReminderDateTable_8qml_source.html">ReminderDateTable.qml</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
